[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#240940: marked as done (libgd.so needs -lm in link)

Your message dated Fri, 16 Apr 2004 18:17:04 -0400
with message-id <E1BEbdw-0001QZ-00@newraff.debian.org>
and subject line Bug#240940: fixed in libgd-gif 1.3-5
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

Received: (at submit) by bugs.debian.org; 30 Mar 2004 00:10:56 +0000
>From lamont@mmjgroup.com Mon Mar 29 16:10:56 2004
Return-path: <lamont@mmjgroup.com>
Received: from mmjgroup.com [] 
	by spohr.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 1B86qD-0004R5-00; Mon, 29 Mar 2004 16:10:56 -0800
Received: by mmjgroup.com (Postfix, from userid 105)
	id 06BF716FEA; Mon, 29 Mar 2004 17:10:46 -0700 (MST)
Received: from mix.mmjgroup.com (mix.mmjgroup.com [])
	by mmjgroup.com (Postfix) with ESMTP id F376C16FBE
	for <submit@bugs.debian.org>; Mon, 29 Mar 2004 17:10:45 -0700 (MST)
Received: by mix.mmjgroup.com (Postfix, from userid 1000)
	id 0D15023826; Mon, 29 Mar 2004 17:10:44 -0700 (MST)
Date: Mon, 29 Mar 2004 17:10:42 -0700
From: lamont@debian.org
To: submit@bugs.debian.org
Subject: ntop_1:3.0rc1-1(ia64/unstable): FTBFS: missing build-depends?
Message-ID: <20040330001042.GE24331@mmjgroup.com>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.5.4i
Delivered-To: submit@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2004_03_25 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Status: No, hits=-5.5 required=4.0 tests=BAYES_00,HAS_PACKAGE,
	NO_REAL_NAME autolearn=no version=2.60-bugs.debian.org_2004_03_25

Package: ntop
Version: 1:3.0rc1-1
Severity: serious

There was an error while trying to autobuild your package:

> Automatic build of ntop_1:3.0rc1-1 on caballero by sbuild/ia64 1.170.5
> Build started at 20040330-0048


> ** Using build dependencies supplied by package:
> Build-Depends: debhelper (>= 4.1.39), librrd0-dev, libpcap-dev, autoconf, automake1.7, libgdbm-dev, libpng3-dev, libncurses5-dev, libtool, libwrap0-dev, libgd-gif1-dev, libssl-dev, libjpeg62-dev


> **** The following central src deps are (probably) missing:
>   libglib1.2-dev (>= 1.2.0), libxml2-dev (>= 2.5.7-1), lsof, queso


> checking for gd.h... yes
> checking for gdImageDestroy in -lgd... no
> *******************************************************************
> *
> * ERROR: gd header or library routines are missing
> *           (yes means it was found, no means it was not found)
> *
> *              gd.h...yes
> *              gdImageDestroy() in -lgd...no
> *
> *>>> No way to proceed.
> *
> *???        Install gd (and/or gd-devel), check www.boutell.com/gd
> *???    and Rerun ./configure
> *
> *******************************************************************

A full build log can be found at:

Received: (at 240940-close) by bugs.debian.org; 16 Apr 2004 22:23:06 +0000
>From katie@ftp-master.debian.org Fri Apr 16 15:23:06 2004
Return-path: <katie@ftp-master.debian.org>
Received: from newraff.debian.org [] (mail)
	by spohr.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 1BEbjl-0007Mb-00; Fri, 16 Apr 2004 15:23:05 -0700
Received: from katie by newraff.debian.org with local (Exim 3.35 1 (Debian))
	id 1BEbdw-0001QZ-00; Fri, 16 Apr 2004 18:17:04 -0400
From: Frank Lichtenheld <djpig@debian.org>
To: 240940-close@bugs.debian.org
X-Katie: $Revision: 1.47 $
Subject: Bug#240940: fixed in libgd-gif 1.3-5
Message-Id: <E1BEbdw-0001QZ-00@newraff.debian.org>
Sender: Archive Administrator <katie@ftp-master.debian.org>
Date: Fri, 16 Apr 2004 18:17:04 -0400
Delivered-To: 240940-close@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2004_03_25 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Status: No, hits=-5.0 required=4.0 tests=BAYES_00,HAS_BUG_NUMBER 
	autolearn=no version=2.60-bugs.debian.org_2004_03_25
X-CrossAssassin-Score: 1

Source: libgd-gif
Source-Version: 1.3-5

We believe that the bug you reported is fixed in the latest version of
libgd-gif, which is due to be installed in the Debian FTP archive:

  to pool/main/libg/libgd-gif/libgd-gif-tools_1.3-5_powerpc.deb
  to pool/main/libg/libgd-gif/libgd-gif1-dev_1.3-5_powerpc.deb
  to pool/main/libg/libgd-gif/libgd-gif1_1.3-5_powerpc.deb
  to pool/main/libg/libgd-gif/libgd-gif_1.3-5.diff.gz
  to pool/main/libg/libgd-gif/libgd-gif_1.3-5.dsc

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 240940@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Frank Lichtenheld <djpig@debian.org> (supplier of updated libgd-gif package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.7
Date: Fri, 16 Apr 2004 23:22:11 +0200
Source: libgd-gif
Binary: libgd-gif1-dev libgd-gif-tools libgd-gif1
Architecture: source powerpc
Version: 1.3-5
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Frank Lichtenheld <djpig@debian.org>
 libgd-gif-tools - GD command line tools with gif support
 libgd-gif1 - GD Graphics Library with gif support
 libgd-gif1-dev - GD Graphics Library with gif support (development version)
Closes: 240940
 libgd-gif (1.3-5) unstable; urgency=low
   * QA Upload
   * debian/rules:
     + Add -lm to gcc call used to build the shared
       library (Closes: #240940)
     + remove obsolete dh_suidregister call
     + remove deprecated dh_testversion call and
       add versioned build-depends instead
 7d287a7f01708569ec2c2c6a31e3067c 604 libs optional libgd-gif_1.3-5.dsc
 0babd8d5b16993b7a0903d4e57f377e4 4201 libs optional libgd-gif_1.3-5.diff.gz
 b4593e5ac4dc55b524daf7fd8797336f 65706 libs optional libgd-gif1_1.3-5_powerpc.deb
 f38e22b0a5086fa35136942f2ffe813c 14866 graphics extra libgd-gif-tools_1.3-5_powerpc.deb
 6a3aeb725c396659bbe718009829875e 62636 libdevel extra libgd-gif1-dev_1.3-5_powerpc.deb

Version: GnuPG v1.2.4 (GNU/Linux)


Reply to: